fop 2.3

## org.apache.fop.render.pdf.extensions
Class PDFActionElement

    java.lang.Object
      org.apache.fop.fo.FONode
          org.apache.fop.render.pdf.extensions.AbstractPDFExtensionElement
              org.apache.fop.render.pdf.extensions.PDFCollectionEntryElement
                  org.apache.fop.render.pdf.extensions.PDFDictionaryElement
                      org.apache.fop.render.pdf.extensions.PDFActionElement

All Implemented Interfaces:
  java.lang.Cloneable

    public class PDFActionElement

extends PDFDictionaryElement

Extension element for pdf:action.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.fop.fo.FONode
`FONode.FONodeIterator, FONode.GatherContextInfoFunction`

Field Summary
`static java.lang.String` `ATT_TYPE`

Fields inherited from class org.apache.fop.render.pdf.extensions.PDFDictionaryElement
`ATT_ID`

Fields inherited from class org.apache.fop.render.pdf.extensions.PDFCollectionEntryElement
`ATT_KEY`

Fields inherited from class org.apache.fop.render.pdf.extensions.AbstractPDFExtensionElement
`attachment`

Fields inherited from class org.apache.fop.fo.FONode
`FO_URI, FOX_URI, locator, log, parent, siblings`

Method Summary
`void` `processNode(java.lang.String elementName, org.xml.sax.Locator locator, org.xml.sax.Attributes attlist, PropertyList propertyList)` Initialize the node with its name, location information, and attributes The attributes must be used immediately as the sax attributes will be altered for the next element.
`void` `startOfNode()` Called after processNode() is called.

Methods inherited from class org.apache.fop.render.pdf.extensions.PDFDictionaryElement
`addChildNode, endOfNode, getDictionaryExtension, getLocalName, instantiateExtensionAttachment`

Methods inherited from class org.apache.fop.render.pdf.extensions.PDFCollectionEntryElement
`characters, getExtension`

Methods inherited from class org.apache.fop.render.pdf.extensions.AbstractPDFExtensionElement
`getExtensionAttachment, getNamespaceURI, getNormalNamespacePrefix`

Methods inherited from class org.apache.fop.fo.FONode

`addCharacters, attachSiblings, bind, canHaveMarkers, charIterator, clone, clone, collectDelimitedTextRanges, collectDelimitedTextRanges, createPropertyList, decorateWithContextInfo, errorText, finalizeNode, gatherContextInfo, getBuilderContext, getChildNodes, getChildNodes, getContentHandlerFactory, getContextInfo, getContextInfoAlt, getFOEventHandler, getFOValidationEventProducer, getLocator, getLocatorString, getLogger, getName, getName, getNameId, getNodePrefix, getNodeString, getParent, getRoot, getStructureTreeElement, getUserAgent, inMarker, invalidChildError, invalidChildError, invalidPropertyValueError, isBidiRangeBlockItem, isDelimitedTextRangeBoundary, missingChildElementError, missingChildElementError, missingPropertyError, nodesOutOfOrderError, nodesOutOfOrderError, notSupportedChildError, removeChild, setLocator, setStructureTreeElement, tooManyNodesError, tooManyNodesError, tooManyNodesError, validateChildNode, validateChildNode, warningText`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATT_TYPE

    public static final java.lang.String ATT_TYPE

See Also:
  Constant Field Values

Method Detail

### processNode

    public void processNode(java.lang.String elementName,
                            org.xml.sax.Locator locator,
                            org.xml.sax.Attributes attlist,
                            PropertyList propertyList)
                     throws FOPException

  Description copied from class: `FONode`
  Initialize the node with its name, location information, and attributes The attributes must be used immediately as the sax attributes will be altered for the next element.

  Overrides:
    `processNode` in class `PDFDictionaryElement`
  Parameters:
    `elementName` - element name (e.g., "fo:block")
    `locator` - Locator object (ignored by default)
    `attlist` - Collection of attributes passed to us from the parser.
    `propertyList` - the property list of the parent node
  Throws:
    `FOPException` - for errors or inconsistencies in the attributes

### startOfNode

    public void startOfNode()
                     throws FOPException

  Description copied from class: `FONode`
  Called after processNode() is called. Subclasses can do additional processing.

  Overrides:
    `startOfNode` in class `PDFDictionaryElement`
  Throws:
    `FOPException` - if there's a problem during processing

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.